
namespace BooCompiler.Tests
{
	using NUnit.Framework;
	using Boo.Lang.Compiler;	

	[TestFixture]
	public class CompilerErrorsTestFixture : AbstractCompilerTestCase
	{	
		protected override CompilerPipeline SetUpCompilerPipeline()
		{
			CompilerPipeline pipeline = new Boo.Lang.Compiler.Pipelines.Compile();
			pipeline.Add(new Boo.Lang.Compiler.Steps.PrintErrors());
			return pipeline;
		}
		
		protected override bool IgnoreErrors
		{
			get
			{
				return true;
			}
		}

		[Test]
		public void BCE0005_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0005-1.boo");
		}
		
		[Test]
		public void BCE0005_2()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0005-2.boo");
		}
		
		[Test]
		public void BCE0006_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0006-1.boo");
		}
		
		[Test]
		public void BCE0017_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0017-1.boo");
		}
		
		[Test]
		public void BCE0017_2()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0017-2.boo");
		}
		
		[Test]
		public void BCE0017_3()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0017-3.boo");
		}
		
		[Test]
		public void BCE0020_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0020-1.boo");
		}
		
		[Test]
		public void BCE0022_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0022-1.boo");
		}
		
		[Test]
		public void BCE0022_2()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0022-2.boo");
		}
		
		[Test]
		public void BCE0022_3()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0022-3.boo");
		}
		
		[Test]
		public void BCE0022_4()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0022-4.boo");
		}
		
		[Test]
		public void BCE0023_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0023-1.boo");
		}
		
		[Test]
		public void BCE0024_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0024-1.boo");
		}
		
		[Test]
		public void BCE0024_2()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0024-2.boo");
		}
		
		[Test]
		public void BCE0024_3()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0024-3.boo");
		}
		
		[Test]
		public void BCE0024_4()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0024-4.boo");
		}
		
		[Test]
		public void BCE0032_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0032-1.boo");
		}
		
		[Test]
		public void BCE0043_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0043-1.boo");
		}
		
		[Test]
		public void BCE0046_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0046-1.boo");
		}
		
		[Test]
		public void BCE0047_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0047-1.boo");
		}
		
		[Test]
		public void BCE0049_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0049-1.boo");
		}
		
		[Test]
		public void BCE0053_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0053-1.boo");
		}
		
		[Test]
		public void BCE0053_2()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0053-2.boo");
		}
		
		[Test]
		public void BCE0054_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0054-1.boo");
		}
		
		[Test]
		public void BCE0057_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0057-1.boo");
		}
		
		[Test]
		public void BCE0060_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0060-1.boo");
		}
		
		[Test]
		public void BCE0063_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0063-1.boo");
		}
		
		[Test]
		public void BCE0063_2()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0063-2.boo");
		}
		
		[Test]
		public void BCE0065_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0065-1.boo");
		}
		
		[Test]
		public void BCE0067_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0067-1.boo");
		}
		
		[Test]
		public void BCE0067_2()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0067-2.boo");
		}
		
		[Test]
		public void BCE0067_3()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0067-3.boo");
		}
		
		[Test]
		public void BCE0070_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0070-1.boo");
		}
		
		[Test]
		public void BCE0070_2()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0070-2.boo");
		}
		
		[Test]
		public void BCE0071_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0071-1.boo");
		}
		
		[Test]
		public void BCE0071_2()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0071-2.boo");
		}
		
		[Test]
		public void BCE0072_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0072-1.boo");
		}
		
		[Test]
		public void BCE0073_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0073-1.boo");
		}
		
		[Test]
		public void BCE0079_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0079-1.boo");
		}
		
		[Test]
		public void BCE0080_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0080-1.boo");
		}
		
		[Test]
		public void BCE0081_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0081-1.boo");
		}
		
		[Test]
		public void BCE0081_2()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0081-2.boo");
		}
		
		[Test]
		public void BCE0081_3()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0081-3.boo");
		}
		
		[Test]
		public void BCE0082_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0082-1.boo");
		}
		
		[Test]
		public void BCE0083_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0083-1.boo");
		}
		
		[Test]
		public void BCE0084_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0084-1.boo");
		}
		
		[Test]
		public void BCE0085_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0085-1.boo");
		}
		
		[Test]
		public void BCE0085_2()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0085-2.boo");
		}
		
		[Test]
		public void BCE0085_3()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0085-3.boo");
		}
		
		[Test]
		public void BCE0086_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0086-1.boo");
		}
		
		[Test]
		public void BCE0087_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0087-1.boo");
		}
		
		[Test]
		public void BCE0088_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0088-1.boo");
		}
		
		[Test]
		public void BCE0089_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0089-1.boo");
		}
		
		[Test]
		public void BCE0089_10()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0089-10.boo");
		}
		
		[Test]
		public void BCE0089_11()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0089-11.boo");
		}
		
		[Test]
		public void BCE0089_2()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0089-2.boo");
		}
		
		[Test]
		public void BCE0089_3()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0089-3.boo");
		}
		
		[Test]
		public void BCE0089_4()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0089-4.boo");
		}
		
		[Test]
		public void BCE0089_5()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0089-5.boo");
		}
		
		[Test]
		public void BCE0089_6()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0089-6.boo");
		}
		
		[Test]
		public void BCE0089_7()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0089-7.boo");
		}
		
		[Test]
		public void BCE0089_8()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0089-8.boo");
		}
		
		[Test]
		public void BCE0089_9()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0089-9.boo");
		}
		
		[Test]
		public void BCE0090_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0090-1.boo");
		}
		
		[Test]
		public void BCE0090_2()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0090-2.boo");
		}
		
		[Test]
		public void BCE0091_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/errors/BCE0091-1.boo");
		}
		
	}
}
